Xalan-Java 2.7.1: Class WrappedRuntimeException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class WrappedRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.xml.utils.WrappedRuntimeException

public class WrappedRuntimeException
extends java.lang.RuntimeException

This class is for throwing important checked exceptions over non-checked methods. It should be used with care, and in limited circumstances.

See Also:
  Serialized Form

Constructor Summary
`WrappedRuntimeException(java.lang.Exception e)` Construct a WrappedRuntimeException from a checked exception.
`WrappedRuntimeException(java.lang.String msg, java.lang.Exception e)` Constructor WrappedRuntimeException

Method Summary
`java.lang.Exception` | `getException()` Get the checked exception that this runtime exception wraps.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.Exception e)

  Construct a WrappedRuntimeException from a checked exception.
  Parameters:
    `e` - Primary checked exception

### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.String msg,
                                   java.lang.Exception e)

  Constructor WrappedRuntimeException
  Parameters:
    `msg` - Exception information.
    `e` - Primary checked exception

Method Detail

### getException

    public java.lang.Exception getException()

  Get the checked exception that this runtime exception wraps.
  Returns:
    The primary checked exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.